Bug 98966 - ldconfig automatically prepends /usr/lib and /lib to search order
Summary: ldconfig automatically prepends /usr/lib and /lib to search order
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-10 23:16 UTC by Jimmie Mayfield
Modified: 2016-11-24 15:19 UTC (History)
1 user (show)

Fixed In Version: 2.3.2-69
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 09:49:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:325 normal SHIPPED_LIVE : Updated glibc packages provide security and bug fixes 2003-11-12 05:00:00 UTC

Description Jimmie Mayfield 2003-07-10 23:16:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021224

Description of problem:
In RH8.0, ldconfig seems to prepend /usr/lib and /lib to the list of directories
in /etc/ld.so.conf.  This behavior differs from earlier Redhat releases and it
makes it very difficult to override libraries.

For instance, I prefer to reserve /usr/lib for "distribution binaries" and place
customized or locally-built binaries in /usr/local/lib.  Unfortunately, this new
ldconfig behavior thwarts that since it seems to always place /usr/lib and /lib
at the top of the search path.

I've tried explicitly specifying /usr/lib and /lib in /etc/ld.so.conf to no
avail.  ldconfig complains that they've been specified twice (once in the
ld.so.conf and presumably once hard-coded in the ldconfig binary).

Making users explicitly set LD_LIBRARY_PATH is messy and, in fact, won't work in
the case of SUID binaries.  So it seems with RH8.0, the only way to override the
libraries in /usr/lib or /lib is to physically replace them. :(



Version-Release number of selected component (if applicable):
glibc-2.3.2-4.80.6

How reproducible:
Always

Steps to Reproduce:
1. ldconfig -v
2. 
3.
    

Actual Results:  note that /lib and /usr/lib appear ahead of anything listed in
/etc/ld.so.conf

Expected Results:  I would have expected those directories explicitly listed in
/etc/ld.so.conf to appear ahead of any default search paths.

Additional info:

Comment 1 Jakub Jelinek 2003-10-03 09:49:54 UTC
This is fixed in glibc-2.3.2-69 and later.


Note You need to log in before you can comment on or make changes to this bug.